Subject: bug#6135: font lock is not turned on in js-mode anymore

From: Glenn Morris <[email-masked]>
Date: Tue, 15 Jun 2010 23:52:17 -0400

Paul Pogonyshev wrote:

> Since a few days, opening a .js file (js-mode) doesn't turn buffer
> fontification on, despite `global-font-lock-mode' being t.  Directly
> invoking `M-x font-lock-mode' in this new buffer does bring syntax
> highlight back, so it's not like "fontification does not work" it is
> "fontification is not turned on".

It seems this is somehow due to
  
  2010-04-27  Stefan Monnier  <monnier at iro.umontreal.ca>
  
  * emacs-lisp/easy-mmode.el (define-globalized-minor-mode): Avoid
  re-enabling a minor mode after the user turned the minor mode off if
  MODE-enable-in-buffers is run twice (typically once from
  fundamental-mode's after-change-major-mode-hook and a second time from
  run-mode-hook's own after-change-major-mode-hook).